List seller custom domains
curl --request GET \
--url https://api.zeroclick.io/v1/sellers/{sellerId}/domains \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeroclick.io/v1/sellers/{sellerId}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/sellers/{sellerId}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"domains": [
{
"domain": {
"id": "<string>",
"domain": "<string>",
"status": "pending",
"verifiedAt": "<string>"
},
"instructions": {
"cname": {
"name": "<string>",
"type": "CNAME",
"target": "<string>"
}
}
}
]
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}Sellers
List seller custom domains
GET
/
v1
/
sellers
/
{sellerId}
/
domains
List seller custom domains
curl --request GET \
--url https://api.zeroclick.io/v1/sellers/{sellerId}/domains \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeroclick.io/v1/sellers/{sellerId}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/sellers/{sellerId}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"domains": [
{
"domain": {
"id": "<string>",
"domain": "<string>",
"status": "pending",
"verifiedAt": "<string>"
},
"instructions": {
"cname": {
"name": "<string>",
"type": "CNAME",
"target": "<string>"
}
}
}
]
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}Authorizations
API key created in the ZeroClick dashboard under Settings → API keys. Keys start with zc_. Send them as Authorization: Bearer zc_....
Path Parameters
Minimum string length:
1Response
Default Response
Show child attributes
Show child attributes